From 45dd03d13134a7aa03f1b43ff64eff9ba0d9e13c Mon Sep 17 00:00:00 2001
From: Wowfunhappy <Wowfunhappy@gmail.com>
Date: Mon, 24 May 2021 16:46:41 -0400
Subject: [PATCH] Use QT 5.8 qmacstyle_mac.mm

This commit is for aesthetics only; not strictly necessary for software to work. The high diff count is because it's based on the version from qt 5.8.
---
 src/widgets/styles/qmacstyle_mac.mm | 11200 +++++++++++++++++-----------------
 1 file changed, 5564 insertions(+), 5636 deletions(-)

diff --git src/widgets/styles/qmacstyle_mac.mm src/widgets/styles/qmacstyle_mac.mm
index e6436f82a6..be7c58cf72 100644
--- src/widgets/styles/qmacstyle_mac.mm
+++ src/widgets/styles/qmacstyle_mac.mm
@@ -1,46 +1,46 @@
 /****************************************************************************
-**
-** Copyright (C) 2016 The Qt Company Ltd.
-** Contact: https://www.qt.io/licensing/
-**
-** This file is part of the QtWidgets module of the Qt Toolkit.
-**
-** $QT_BEGIN_LICENSE:LGPL$
-** Commercial License Usage
-** Licensees holding valid commercial Qt licenses may use this file in
-** accordance with the commercial license agreement provided with the
-** Software or, alternatively, in accordance with the terms contained in
-** a written agreement between you and The Qt Company. For licensing terms
-** and conditions see https://www.qt.io/terms-conditions. For further
-** information use the contact form at https://www.qt.io/contact-us.
-**
-** GNU Lesser General Public License Usage
-** Alternatively, this file may be used under the terms of the GNU Lesser
-** General Public License version 3 as published by the Free Software
-** Foundation and appearing in the file LICENSE.LGPL3 included in the
-** packaging of this file. Please review the following information to
-** ensure the GNU Lesser General Public License version 3 requirements
-** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-**
-** GNU General Public License Usage
-** Alternatively, this file may be used under the terms of the GNU
-** General Public License version 2.0 or (at your option) the GNU General
-** Public license version 3 or any later version approved by the KDE Free
-** Qt Foundation. The licenses are as published by the Free Software
-** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-** included in the packaging of this file. Please review the following
-** information to ensure the GNU General Public License requirements will
-** be met: https://www.gnu.org/licenses/gpl-2.0.html and
-** https://www.gnu.org/licenses/gpl-3.0.html.
-**
-** $QT_END_LICENSE$
-**
-****************************************************************************/
+ **
+ ** Copyright (C) 2016 The Qt Company Ltd.
+ ** Contact: https://www.qt.io/licensing/
+ **
+ ** This file is part of the QtWidgets module of the Qt Toolkit.
+ **
+ ** $QT_BEGIN_LICENSE:LGPL$
+ ** Commercial License Usage
+ ** Licensees holding valid commercial Qt licenses may use this file in
+ ** accordance with the commercial license agreement provided with the
+ ** Software or, alternatively, in accordance with the terms contained in
+ ** a written agreement between you and The Qt Company. For licensing terms
+ ** and conditions see https://www.qt.io/terms-conditions. For further
+ ** information use the contact form at https://www.qt.io/contact-us.
+ **
+ ** GNU Lesser General Public License Usage
+ ** Alternatively, this file may be used under the terms of the GNU Lesser
+ ** General Public License version 3 as published by the Free Software
+ ** Foundation and appearing in the file LICENSE.LGPL3 included in the
+ ** packaging of this file. Please review the following information to
+ ** ensure the GNU Lesser General Public License version 3 requirements
+ ** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
+ **
+ ** GNU General Public License Usage
+ ** Alternatively, this file may be used under the terms of the GNU
+ ** General Public License version 2.0 or (at your option) the GNU General
+ ** Public license version 3 or any later version approved by the KDE Free
+ ** Qt Foundation. The licenses are as published by the Free Software
+ ** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
+ ** included in the packaging of this file. Please review the following
+ ** information to ensure the GNU General Public License requirements will
+ ** be met: https://www.gnu.org/licenses/gpl-2.0.html and
+ ** https://www.gnu.org/licenses/gpl-3.0.html.
+ **
+ ** $QT_END_LICENSE$
+ **
+ ****************************************************************************/
 
 /*
-  Note: The qdoc comments for QMacStyle are contained in
-  .../doc/src/qstyles.qdoc.
-*/
+ Note: The qdoc comments for QMacStyle are contained in
+ .../doc/src/qstyles.qdoc.
+ */
 
 #include <AppKit/AppKit.h>
 
@@ -51,85 +51,46 @@
 //#define DEBUG_SIZE_CONSTRAINT
 
 #include <private/qcore_mac_p.h>
-#if QT_CONFIG(tabbar)
-#include <private/qtabbar_p.h>
-#endif
+#include <private/qcombobox_p.h>
 #include <private/qpainter_p.h>
 #include <qapplication.h>
 #include <qbitmap.h>
-#if QT_CONFIG(combobox)
-#include <private/qcombobox_p.h>
+#include <qcheckbox.h>
 #include <qcombobox.h>
-#endif
-#if QT_CONFIG(dialogbuttonbox)
 #include <qdialogbuttonbox.h>
-#endif
-#if QT_CONFIG(dockwidget)
 #include <qdockwidget.h>
-#endif
 #include <qevent.h>
 #include <qfocusframe.h>
 #include <qformlayout.h>
 #include <qgroupbox.h>
 #include <qhash.h>
 #include <qheaderview.h>
-#if QT_CONFIG(lineedit)
 #include <qlineedit.h>
-#endif
-#if QT_CONFIG(mainwindow)
 #include <qmainwindow.h>
-#endif
-#if QT_CONFIG(mdiarea)
 #include <qmdisubwindow.h>
-#endif
-#if QT_CONFIG(menubar)
 #include <qmenubar.h>
-#endif
 #include <qpaintdevice.h>
 #include <qpainter.h>
 #include <qpixmapcache.h>
 #include <qpointer.h>
-#if QT_CONFIG(progressbar)
 #include <qprogressbar.h>
-#endif
-#if QT_CONFIG(pushbutton)
 #include <qpushbutton.h>
-#endif
 #include <qradiobutton.h>
-#if QT_CONFIG(rubberband)
 #include <qrubberband.h>
-#endif
-#if QT_CONFIG(scrollbar)
 #include <qscrollbar.h>
-#endif
-#if QT_CONFIG(sizegrip)
 #include <qsizegrip.h>
-#endif
 #include <qstyleoption.h>
 #include <qtoolbar.h>
-#if QT_CONFIG(toolbutton)
 #include <qtoolbutton.h>
-#endif
-#if QT_CONFIG(treeview)
 #include <qtreeview.h>
-#endif
-#if QT_CONFIG(tableview)
 #include <qtableview.h>
-#endif
-#include <qoperatingsystemversion.h>
-#if QT_CONFIG(wizard)
 #include <qwizard.h>
-#endif
 #include <qdebug.h>
 #include <qlibrary.h>
-#if QT_CONFIG(datetimeedit)
 #include <qdatetimeedit.h>
-#endif
 #include <qmath.h>
 #include <QtWidgets/qgraphicsproxywidget.h>
-#if QT_CONFIG(graphicsview)
 #include <QtWidgets/qgraphicsview.h>
-#endif
 #include <QtCore/qvariant.h>
 #include <private/qstylehelper_p.h>
 #include <private/qstyleanimation_p.h>
@@ -145,7 +106,7 @@ static QWindow *qt_getWindow(const QWidget *widget)
 }
 
 @interface QT_MANGLE_NAMESPACE(NotificationReceiver) : NSObject {
-QMacStylePrivate *mPrivate;
+    QMacStylePrivate *mPrivate;
 }
 - (id)initWithPrivate:(QMacStylePrivate *)priv;
 - (void)scrollBarStyleDidChange:(NSNotification *)notification;
@@ -164,10 +125,10 @@ QT_NAMESPACE_ALIAS_OBJC_CLASS(NotificationReceiver);
 - (void)scrollBarStyleDidChange:(NSNotification *)notification
 {
     Q_UNUSED(notification);
-
+    
     // purge destroyed scroll bars:
     QMacStylePrivate::scrollBars.removeAll(QPointer<QObject>());
-
+    
     QEvent event(QEvent::StyleChange);
     for (const auto &o : QMacStylePrivate::scrollBars)
         QCoreApplication::sendEvent(o, &event);
@@ -225,39 +186,17 @@ static const QColor mainWindowGradientEnd(200, 200, 200);
 
 static const int DisclosureOffset = 4;
 
-// Tab bar colors
-// active: window is active
-// selected: tab is selected
-// hovered: tab is hovered
-static const QColor tabBarTabBackgroundActive(190, 190, 190);
-static const QColor tabBarTabBackgroundActiveHovered(178, 178, 178);
-static const QColor tabBarTabBackgroundActiveSelected(211, 211, 211);
-static const QColor tabBarTabBackground(227, 227, 227);
-static const QColor tabBarTabBackgroundSelected(246, 246, 246);
-static const QColor tabBarTabLineActive(160, 160, 160);
-static const QColor tabBarTabLineActiveHovered(150, 150, 150);
-static const QColor tabBarTabLine(210, 210, 210);
-static const QColor tabBarTabLineSelected(189, 189, 189);
-static const QColor tabBarCloseButtonBackgroundHovered(162, 162, 162);
-static const QColor tabBarCloseButtonBackgroundPressed(153, 153, 153);
-static const QColor tabBarCloseButtonBackgroundSelectedHovered(192, 192, 192);
-static const QColor tabBarCloseButtonBackgroundSelectedPressed(181, 181, 181);
-static const QColor tabBarCloseButtonCross(100, 100, 100);
-static const QColor tabBarCloseButtonCrossSelected(115, 115, 115);
-
-static const int closeButtonSize = 14;
-static const qreal closeButtonCornerRadius = 2.0;
-
 // Resolve these at run-time, since the functions was moved in Leopard.
 typedef HIRect * (*PtrHIShapeGetBounds)(HIShapeRef, HIRect *);
 static PtrHIShapeGetBounds ptrHIShapeGetBounds = 0;
 
-#if QT_CONFIG(tabbar)
+static int closeButtonSize = 12;
+#ifndef QT_NO_TABBAR
 static bool isVerticalTabs(const QTabBar::Shape shape) {
     return (shape == QTabBar::RoundedEast
-                || shape == QTabBar::TriangularEast
-                || shape == QTabBar::RoundedWest
-                || shape == QTabBar::TriangularWest);
+            || shape == QTabBar::TriangularEast
+            || shape == QTabBar::RoundedWest
+            || shape == QTabBar::TriangularWest);
 }
 #endif
 
@@ -265,53 +204,53 @@ static bool isInMacUnifiedToolbarArea(QWindow *window, int windowY)
 {
     QPlatformNativeInterface *nativeInterface = QGuiApplication::platformNativeInterface();
     QPlatformNativeInterface::NativeResourceForIntegrationFunction function =
-        nativeInterface->nativeResourceFunctionForIntegration("testContentBorderPosition");
+    nativeInterface->nativeResourceFunctionForIntegration("testContentBorderPosition");
     if (!function)
         return false; // Not Cocoa platform plugin.
-
+    
     typedef bool (*TestContentBorderPositionFunction)(QWindow *, int);
     return (reinterpret_cast<TestContentBorderPositionFunction>(function))(window, windowY);
 }
 
 
-static void drawTabCloseButton(QPainter *p, bool hover, bool selected, bool pressed, bool documentMode)
+void drawTabCloseButton(QPainter *p, bool hover, bool active, bool selected)
 {
+    // draw background circle
     p->setRenderHints(QPainter::Antialiasing);
     QRect rect(0, 0, closeButtonSize, closeButtonSize);
-    const int width = rect.width();
-    const int height = rect.height();
-
+    QColor background;
     if (hover) {
-        // draw background circle
-        QColor background;
-        if (selected) {
-            if (documentMode)
-                background = pressed ? tabBarCloseButtonBackgroundSelectedPressed : tabBarCloseButtonBackgroundSelectedHovered;
+        background = QColor(124, 124, 124);
+    } else {
+        if (active) {
+            if (selected)
+                background = QColor(104, 104, 104);
             else
-                background = QColor(255, 255, 255, pressed ? 150 : 100); // Translucent white
+                background = QColor(83, 83, 83);
         } else {
-            background = pressed ? tabBarCloseButtonBackgroundPressed : tabBarCloseButtonBackgroundHovered;
-            if (!documentMode)
-                background = background.lighter(pressed ? 135 : 140); // Lighter tab background, lighter color
+            if (selected)
+                background = QColor(144, 144, 144);
+            else
+                background = QColor(114, 114, 114);
         }
-
-        p->setPen(Qt::transparent);
-        p->setBrush(background);
-        p->drawRoundedRect(rect, closeButtonCornerRadius, closeButtonCornerRadius);
     }
-
+    p->setPen(Qt::transparent);
+    p->setBrush(background);
+    p->drawEllipse(rect);
+    
     // draw cross
-    const int margin = 3;
+    int min = 3;
+    int max = 9;
     QPen crossPen;
-    crossPen.setColor(selected ? (documentMode ? tabBarCloseButtonCrossSelected : Qt::white) : tabBarCloseButtonCross);
-    crossPen.setWidthF(1.1);
+    crossPen.setColor(QColor(194, 194, 194));
+    crossPen.setWidthF(1.3);
     crossPen.setCapStyle(Qt::FlatCap);
     p->setPen(crossPen);
-    p->drawLine(margin, margin, width - margin, height - margin);
-    p->drawLine(margin, height - margin, width - margin, margin);
+    p->drawLine(min, min, max, max);
+    p->drawLine(min, max, max, min);
 }
 
-#if QT_CONFIG(tabbar)
+#ifndef QT_NO_TABBAR
 QRect rotateTabPainter(QPainter *p, QTabBar::Shape shape, QRect tabRect)
 {
     if (isVerticalTabs(shape)) {
@@ -335,71 +274,108 @@ QRect rotateTabPainter(QPainter *p, QTabBar::Shape shape, QRect tabRect)
     return tabRect;
 }
 
-void drawTabShape(QPainter *p, const QStyleOptionTab *tabOpt, bool isUnified, int tabOverlap)
+void drawTabShape(QPainter *p, const QStyleOptionTab *tabOpt, bool isUnified)
 {
-    QRect rect = tabOpt->rect;
-
-    switch (tabOpt->shape) {
-    case QTabBar::RoundedNorth:
-    case QTabBar::TriangularNorth:
-    case QTabBar::RoundedSouth:
-    case QTabBar::TriangularSouth:
-        rect.adjust(-tabOverlap, 0, 0, 0);
-        break;
-    case QTabBar::RoundedEast:
-    case QTabBar::TriangularEast:
-    case QTabBar::RoundedWest:
-    case QTabBar::TriangularWest:
-        rect.adjust(0, -tabOverlap, 0, 0);
-        break;
-    default:
-        break;
-    }
-
-    p->translate(rect.x(), rect.y());
-    rect.moveLeft(0);
-    rect.moveTop(0);
-    const QRect tabRect = rotateTabPainter(p, tabOpt->shape, rect);
-
-    const int width = tabRect.width();
-    const int height = tabRect.height();
-    const bool active = (tabOpt->state & QStyle::State_Active);
-    const bool selected = (tabOpt->state & QStyle::State_Selected);
-
-    const QRect bodyRect(1, 1, width - 2, height - 2);
-    const QRect topLineRect(1, 0, width - 2, 1);
-    const QRect bottomLineRect(1, height - 1, width - 2, 1);
+    QRect r = tabOpt->rect;
+    p->translate(tabOpt->rect.x(), tabOpt->rect.y());
+    r.moveLeft(0);
+    r.moveTop(0);
+    QRect tabRect = rotateTabPainter(p, tabOpt->shape, r);
+    
+    int width = tabRect.width();
+    int height = 20;
+    bool active = (tabOpt->state & QStyle::State_Active);
+    bool selected = (tabOpt->state & QStyle::State_Selected);
+    
     if (selected) {
+        QRect rect(1, 0, width - 2, height);
+        
         // fill body
         if (tabOpt->documentMode && isUnified) {
             p->save();
             p->setCompositionMode(QPainter::CompositionMode_Source);
-            p->fillRect(tabRect, QColor(Qt::transparent));
+            p->fillRect(rect, QColor(Qt::transparent));
             p->restore();
         } else if (active) {
-            p->fillRect(bodyRect, tabBarTabBackgroundActiveSelected);
-            // top line
-            p->fillRect(topLineRect, tabBarTabLineSelected);
+            p->fillRect(rect, QColor(167, 167, 167));
         } else {
-            p->fillRect(bodyRect, tabBarTabBackgroundSelected);
-        }
+            QLinearGradient gradient(rect.topLeft(), rect.bottomLeft());
+            gradient.setColorAt(0, QColor(216, 216, 216));
+            gradient.setColorAt(0.5, QColor(215, 215, 215));
+            gradient.setColorAt(1, QColor(210, 210, 210));
+            p->fillRect(rect, gradient);
+        }
+        
+        // draw border
+        QColor borderSides;
+        QColor borderBottom;
+        if (active) {
+            borderSides = QColor(88, 88, 88);
+            borderBottom = QColor(88, 88, 88);
+        } else {
+            borderSides = QColor(121, 121, 121);
+            borderBottom = QColor(116, 116, 116);
+        }
+        
+        p->setPen(borderSides);
+        
+        int bottom = height;
+        // left line
+        p->drawLine(0, 1, 0, bottom-2);
+        // right line
+        p->drawLine(width-1, 1, width-1, bottom-2);
+        
+        // bottom line
+        if (active) {
+            p->setPen(QColor(168, 168, 168));
+            p->drawLine(3, bottom-1, width-3, bottom-1);
+        }
+        p->setPen(borderBottom);
+        p->drawLine(2, bottom, width-2, bottom);
+        
+        int w = 3;
+        QRectF rectangleLeft(1, height - w, w, w);
+        QRectF rectangleRight(width - 2, height - 1, w, w);
+        int startAngle = 180 * 16;
+        int spanAngle = 90 * 16;
+        p->setRenderHint(QPainter::Antialiasing);
+        p->drawArc(rectangleLeft, startAngle, spanAngle);
+        p->drawArc(rectangleRight, startAngle, -spanAngle);
     } else {
         // when the mouse is over non selected tabs they get a new color
-        const bool hover = (tabOpt->state & QStyle::State_MouseOver);
+        bool hover = (tabOpt->state & QStyle::State_MouseOver);
         if (hover) {
-            // fill body
-            p->fillRect(bodyRect, tabBarTabBackgroundActiveHovered);
-            // bottom line
-            p->fillRect(bottomLineRect, tabBarTabLineActiveHovered);
+            QRect rect(1, 2, width - 1, height - 1);
+            p->fillRect(rect, QColor(110, 110, 110));
+        }
+        
+        // seperator lines between tabs
+        bool west = (tabOpt->shape == QTabBar::RoundedWest || tabOpt->shape == QTabBar::TriangularWest);
+        bool drawOnRight = !west;
+        if ((!drawOnRight && tabOpt->selectedPosition != QStyleOptionTab::NextIsSelected)
+            || (drawOnRight && tabOpt->selectedPosition != QStyleOptionTab::NextIsSelected)) {
+            QColor borderColor;
+            QColor borderHighlightColor;
+            if (active) {
+                borderColor = QColor(64, 64, 64);
+                borderHighlightColor = QColor(140, 140, 140);
+            } else {
+                borderColor = QColor(135, 135, 135);
+                borderHighlightColor = QColor(178, 178, 178);
+            }
+            
+            int x = drawOnRight ? width : 0;
+            
+            // tab seperator line
+            p->setPen(borderColor);
+            p->drawLine(x, 2, x, height + 1);
+            
+            // tab seperator highlight
+            p->setPen(borderHighlightColor);
+            p->drawLine(x-1, 2, x-1, height + 1);
+            p->drawLine(x+1, 2, x+1, height + 1);
         }
     }
-
-    // separator lines between tabs
-    const QRect leftLineRect(0, 1, 1, height - 2);
-    const QRect rightLineRect(width - 1, 1, 1, height - 2);
-    const QColor separatorLineColor = active ? tabBarTabLineActive : tabBarTabLine;
-    p->fillRect(leftLineRect, separatorLineColor);
-    p->fillRect(rightLineRect, separatorLineColor);
 }
 
 void drawTabBase(QPainter *p, const QStyleOptionTabBarBase *tbb, const QWidget *w)
@@ -410,43 +386,71 @@ void drawTabBase(QPainter *p, const QStyleOptionTabBarBase *tbb, const QWidget *
     } else {
         r.setHeight(w->height());
     }
-    const QRect tabRect = rotateTabPainter(p, tbb->shape, r);
-    const int width = tabRect.width();
-    const int height = tabRect.height();
-    const bool active = (tbb->state & QStyle::State_Active);
-
-    // fill body
-    const QRect bodyRect(0, 1, width, height - 1);
-    const QColor bodyColor = active ? tabBarTabBackgroundActive : tabBarTabBackground;
-    p->fillRect(bodyRect, bodyColor);
-
-    // top line
-    const QRect topLineRect(0, 0, width, 1);
-    const QColor topLineColor = active ? tabBarTabLineActive : tabBarTabLine;
-    p->fillRect(topLineRect, topLineColor);
-
-    // bottom line
-    const QRect bottomLineRect(0, height - 1, width, 1);
-    const QColor bottomLineColor = active ? tabBarTabLineActive : tabBarTabLine;
-    p->fillRect(bottomLineRect, bottomLineColor);
+    QRect tabRect = rotateTabPainter(p, tbb->shape, r);
+    int width = tabRect.width();
+    int height = tabRect.height();
+    bool active = (tbb->state & QStyle::State_Active);
+    
+    // top border lines
+    QColor borderHighlightTop;
+    QColor borderTop;
+    if (active) {
+        borderTop = QColor(64, 64, 64);
+        borderHighlightTop = QColor(174, 174, 174);
+    } else {
+        borderTop = QColor(135, 135, 135);
+        borderHighlightTop = QColor(207, 207, 207);
+    }
+    p->setPen(borderHighlightTop);
+    p->drawLine(tabRect.x(), 0, width, 0);
+    p->setPen(borderTop);
+    p->drawLine(tabRect.x(), 1, width, 1);
+    
+    // center block
+    QRect centralRect(tabRect.x(), 2, width, height - 2);
+    if (active) {
+        QColor mainColor = QColor(120, 120, 120);
+        p->fillRect(centralRect, mainColor);
+    } else {
+        QLinearGradient gradient(centralRect.topLeft(), centralRect.bottomLeft());
+        gradient.setColorAt(0, QColor(165, 165, 165));
+        gradient.setColorAt(0.5, QColor(164, 164, 164));
+        gradient.setColorAt(1, QColor(158, 158, 158));
+        p->fillRect(centralRect, gradient);
+    }
+    
+    // bottom border lines
+    QColor borderHighlightBottom;
+    QColor borderBottom;
+    if (active) {
+        borderHighlightBottom = QColor(153, 153, 153);
+        borderBottom = QColor(64, 64, 64);
+    } else {
+        borderHighlightBottom = QColor(177, 177, 177);
+        borderBottom = QColor(127, 127, 127);
+    }
+    p->setPen(borderHighlightBottom);
+    p->drawLine(tabRect.x(), height - 2, width, height - 2);
+    p->setPen(borderBottom);
+    p->drawLine(tabRect.x(), height - 1, width, height - 1);
 }
 #endif
 
 static int getControlSize(const QStyleOption *option, const QWidget *widget)
 {
     switch (QMacStyle::widgetSizePolicy(widget, option)) {
-    case QMacStyle::SizeSmall:
-        return QAquaSizeSmall;
-    case QMacStyle::SizeMini:
-        return QAquaSizeMini;
-    default:
-        break;
+        case QMacStyle::SizeSmall:
+            return QAquaSizeSmall;
+        case QMacStyle::SizeMini:
+            return QAquaSizeMini;
+        default:
+            break;
     }
     return QAquaSizeLarge;
 }
 
 
-#if QT_CONFIG(treeview)
+#ifndef QT_NO_TREEVIEW
 static inline bool isTreeView(const QWidget *widget)
 {
     return (widget && widget->parentWidget() &&
@@ -455,28 +459,28 @@ static inline bool isTreeView(const QWidget *widget)
 }
 #endif
 
-#if QT_CONFIG(tabbar)
+#ifndef QT_NO_TABBAR
 static inline ThemeTabDirection getTabDirection(QTabBar::Shape shape)
 {
     ThemeTabDirection ttd;
     switch (shape) {
-    case QTabBar::RoundedSouth:
-    case QTabBar::TriangularSouth:
-        ttd = kThemeTabSouth;
-        break;
-    default:  // Added to remove the warning, since all values are taken care of, really!
-    case QTabBar::RoundedNorth:
-    case QTabBar::TriangularNorth:
-        ttd = kThemeTabNorth;
-        break;
-    case QTabBar::RoundedWest:
-    case QTabBar::TriangularWest:
-        ttd = kThemeTabWest;
-        break;
-    case QTabBar::RoundedEast:
-    case QTabBar::TriangularEast:
-        ttd = kThemeTabEast;
-        break;
+        case QTabBar::RoundedSouth:
+        case QTabBar::TriangularSouth:
+            ttd = kThemeTabSouth;
+            break;
+        default:  // Added to remove the warning, since all values are taken care of, really!
+        case QTabBar::RoundedNorth:
+        case QTabBar::TriangularNorth:
+            ttd = kThemeTabNorth;
+            break;
+        case QTabBar::RoundedWest:
+        case QTabBar::TriangularWest:
+            ttd = kThemeTabWest;
+            break;
+        case QTabBar::RoundedEast:
+        case QTabBar::TriangularEast:
+            ttd = kThemeTabEast;
+            break;
     }
     return ttd;
 }
@@ -522,26 +526,26 @@ OSStatus qt_mac_shape2QRegionHelper(int inMessage, HIShapeRef, const CGRect *inR
     QRegion *region = static_cast<QRegion *>(inRefcon);
     if (!region)
         return paramErr;
-
+    
     switch (inMessage) {
-    case kHIShapeEnumerateRect:
-        *region += QRect(inRect->origin.x, inRect->origin.y,
-                         inRect->size.width, inRect->size.height);
-        break;
-    case kHIShapeEnumerateInit:
-        // Assume the region is already setup correctly
-    case kHIShapeEnumerateTerminate:
-    default:
-        break;
+        case kHIShapeEnumerateRect:
+            *region += QRect(inRect->origin.x, inRect->origin.y,
+                             inRect->size.width, inRect->size.height);
+            break;
+        case kHIShapeEnumerateInit:
+            // Assume the region is already setup correctly
+        case kHIShapeEnumerateTerminate:
+        default:
+            break;
     }
     return noErr;
 }
 
 /*!
-    \internal
-     Create's a mutable shape, it's the caller's responsibility to release.
-     WARNING: this function clamps the coordinates to SHRT_MIN/MAX on 10.4 and below.
-*/
+ \internal
+ Create's a mutable shape, it's the caller's responsibility to release.
+ WARNING: this function clamps the coordinates to SHRT_MIN/MAX on 10.4 and below.
+ */
 HIMutableShapeRef qt_mac_toHIMutableShape(const QRegion &region)
 {
     HIMutableShapeRef shape = HIShapeCreateMutable();
@@ -588,7 +592,7 @@ static bool qt_macWindowMainWindow(const QWidget *window)
 }
 
 /*****************************************************************************
-  QMacCGStyle globals
+ QMacCGStyle globals
  *****************************************************************************/
 const int qt_mac_hitheme_version = 0; //the HITheme version we speak
 const int macItemFrame         = 2;    // menu item frame width
@@ -598,7 +602,7 @@ const ThemeWindowType QtWinType = kThemeDocumentWindow; // Window type we use fo
 QPixmap *qt_mac_backgroundPattern = 0; // stores the standard widget background.
 
 /*****************************************************************************
-  QMacCGStyle utility functions
+ QMacCGStyle utility functions
  *****************************************************************************/
 static inline int qt_mac_hitheme_tab_version()
 {
